# Generated by Django 4.2 on 2023-05-08 11:59

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0008_contract_signature_photo"),
    ]

    operations = [
        migrations.AddField(
            model_name="contract",
            name="child1_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "spouse_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="contract",
            name="child2_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "spouse_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AddField(
            model_name="contract",
            name="spouse_id_proof",
            field=models.FileField(
                blank=True,
                default=None,
                null=True,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "spouse_id_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
    ]
